package gov.va.med.esr.service.impl;

import gov.va.med.esr.common.model.lookup.DescriptorType;
import gov.va.med.esr.service.UnknownLookupCodeException;
import gov.va.med.esr.service.UnknownLookupTypeException;
import gov.va.med.esr.service.impl.LookupServiceImpl;

public class MockLookupServiceImpl extends LookupServiceImpl {
	
	public DescriptorType getDescriptorTypeByCode(String code) throws UnknownLookupTypeException, 
	UnknownLookupCodeException {
		DescriptorType type = new DescriptorType();
		type.setCode(code);
		type.setName("MockName_"+code);
		System.out.println("Warning! mock lookup used to generate lookup object for DescriptorType=" + code);
		return type;
	}
	
}
